diff -ur a2ps-4.14-utf8-ja-orig/configure.in a2ps-4.14-utf8-ja/configure.in
--- a2ps-4.14-utf8-ja-orig/configure.in	2011-05-08 14:28:03.935288300 +0900
+++ a2ps-4.14-utf8-ja/configure.in	2011-05-08 14:30:32.906809000 +0900
@@ -287,7 +287,7 @@
 # use libjcode
 #
 AC_ARG_ENABLE(kanji,
-	[  --enable-kanji	  support Japanese/kanji (default: yes)],
+AC_HELP_STRING(--enable-kanji,support Japanese/kanji (default: yes)]),
 			SUPPORT_KANJI=$enableval, SUPPORT_KANJI=yes)
 if test "$SUPPORT_KANJI" = "yes"; then
 	AC_DEFINE(ENABLE_KANJI, 1, [Define if you specify --enable-kanji.])
diff -ur a2ps-4.14-utf8-ja-orig/lib/metaseq.c a2ps-4.14-utf8-ja/lib/metaseq.c
--- a2ps-4.14-utf8-ja-orig/lib/metaseq.c	2011-05-08 14:28:03.940288600 +0900
+++ a2ps-4.14-utf8-ja/lib/metaseq.c	2011-05-08 14:46:46.434491600 +0900
@@ -41,10 +41,13 @@
 #include "pair_ht.h"
 #include "prange.h"
 #include "title.h"
+#ifdef ENABLE_KANJI
 #include <libnkfm.h>
+extern int use_jcode;
+#endif
+
 #define KEY_FORBIDDEN_CHARS ":(){}"
 
-extern int use_jcode;
 /************************************************************************/
 /* Handling the macro meta sequences					*/
 /************************************************************************/
@@ -134,19 +137,38 @@
       obstack_1grow (user_string_stack, ch);		\
   } while (0)
 
+#ifdef ENABLE_KANJI
+#define APPEND_STR(str)							\
+  do {									\
+    size_t len = ustrlen (str);						\
+    size_t nspace;							\
+    uchar* aptr = str;							\
+    uchar abuf[1536] = "";						\
+									\
+    if (use_jcode == true) {						\
+      nkf_init ("--euc -Lu -b");					\
+      nkf_n_convert ((char*)abuf, sizeof(abuf), (const char*)str);	\
+      len = ustrlen (abuf);						\
+      aptr = abuf;							\
+    }									\
+									\
+    nspace = (len > width) ? 0 : (width - len);				\
+									\
+    if (width && justification > 0)					\
+      for (; nspace; nspace--)						\
+        obstack_1grow (user_string_stack, padding);			\
+									\
+    obstack_grow (user_string_stack, aptr, len);			\
+									\
+    if (width && justification < 0)					\
+      for (; nspace; nspace--)						\
+        obstack_1grow (user_string_stack, padding);			\
+  } while (0)
+#else
 #define APPEND_STR(str)						\
   do {								\
     size_t len = ustrlen (str);					\
     size_t nspace;						\
-    uchar* aptr = str;						\
-								\
-    if(use_jcode == true){					\
-      uchar abuf[1536] = "";					\
-      nkf_init("--euc -Lu -b");					\
-      nkf_n_convert((char*)abuf, sizeof(abuf), (const char*)str);		\
-      len = ustrlen (abuf);					\
-      aptr = abuf;						\
-    }								\
 								\
     nspace = (len > width) ? 0 : (width - len);			\
 								\
@@ -154,12 +176,13 @@
       for (; nspace; nspace--)					\
         obstack_1grow (user_string_stack, padding);		\
 								\
-    obstack_grow (user_string_stack, aptr, len);		\
+    obstack_grow (user_string_stack, str, len);			\
 								\
     if (width && justification < 0)				\
       for (; nspace; nspace--)					\
         obstack_1grow (user_string_stack, padding);		\
   } while (0)
+#endif
 
 /*
  * We can't use strtok, that would skip the empty fields
diff -ur a2ps-4.14-utf8-ja-orig/src/buffer.c a2ps-4.14-utf8-ja/src/buffer.c
--- a2ps-4.14-utf8-ja-orig/src/buffer.c	2011-05-08 14:28:03.942288700 +0900
+++ a2ps-4.14-utf8-ja/src/buffer.c	2011-05-08 14:37:22.916260200 +0900
@@ -41,8 +41,10 @@
 #include "argmatch.h"
 #include "buffer.h"
 #include <assert.h>
+#ifdef ENABLE_KANJI
 #include <libnkfm.h>
 extern int use_jcode;
+#endif
 
 /****************************************************************/
 /*		 	Handling of the various eol styles	*/
@@ -422,6 +424,7 @@
      test on the length of the buffer. */
   buffer->len = obstack_object_size (&buffer->obstack);
   obstack_1grow (&buffer->obstack, '\0');
+#ifdef ENABLE_KANJI
   if (use_jcode == true)
     {
       if(buffer->content) free(buffer->content);
@@ -431,6 +434,9 @@
     }
   else
     buffer->content = (uchar *) obstack_finish (&buffer->obstack);
+#else
+  buffer->content = (uchar *) obstack_finish (&buffer->obstack);
+#endif
 
   /* One more line read */
   buffer->line++;
